document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_10700
--- +++ @@ -1,6 +1,40 @@ #! /bin/bash +echo "*:*:*:*:$DBPASS" > ~/.pgpass +chmod 0600 ~/.pgpass + +export PGUSER="canvas" +export PGHOST=$DB_PORT_5432_TCP_ADDR +export PGPORT=$DB_PORT_5432_TCP_PORT + while true; do - dialog --menu "Your biding?" 30 80 2 1 a 2 b + cmd=(dialog --keep-tite --menu "Select optio...
bash
d_bash_10701
--- +++ @@ -22,13 +22,15 @@ export DOCKER_HOST=tcp://$(boot2docker ip 2>/dev/null):2375 fi fi +HOMEBREW_PREFIX="$(brew --prefix)" +export HOMEBREW_PREFIX if which brew > /dev/null 2>&1 then - [[ -f `brew --prefix`/etc/profile.d/z.sh ]] && source `brew --prefix`/etc/profile.d/z.sh + [[ -f ${HOMEBREW_PRE...
bash
d_bash_10702
--- +++ @@ -2,9 +2,35 @@ # Set up a new Mac to get up and running with development DIR=`dirname $BASH_SOURCE` + +# Install brew packages and casks source $DIR/brew/brewfile.sh # Bootstrap rcup: the exclusions here are enumerated in the rcrc file so # you should be able to just run $ rcup when doing this agai...
bash
d_bash_10703
--- +++ @@ -27,3 +27,13 @@ brew cask install flux # Install Microsoft Remote Desktop via AppStore? + +# Require password as soon as screensaver or sleep mode starts +defaults write com.apple.screensaver askForPassword -int 1 +defaults write com.apple.screensaver askForPasswordDelay -int 0 + +# Show filename exten...
bash
d_bash_10704
--- +++ @@ -15,6 +15,10 @@ alias t="ruby -Itest" alias z="zeus" +if [[ $SHELL == '/bin/bash' ]]; then + alias ll="ls -la" +fi + # Annotate alias. Defaults are stupid alias annotate="annotate -p before -e tests"
bash
d_bash_10705
--- +++ @@ -25,7 +25,7 @@ local cur="${COMP_WORDS[COMP_CWORD]}" case "$cur" in '') - COMPREPLY=( "$(pwd)" ) + COMPREPLY=( "$(dirname "$(pwd)")" ) ;; /) COMPREPLY=()
bash
d_bash_10706
--- +++ @@ -7,6 +7,11 @@ if command -v exa >/dev/null 2>&1 then alias ll='exa --long' la='exa --all' tree='exa --tree' else alias ll='ls -l --human-readable' la='ls --almost-all' +fi + +if command -v bat >/dev/null +then alias cat='bat --style=plain' +else alias bat=cat fi if [ -f /usr/share/vim/vim81/macros/l...
bash
d_bash_10707
--- +++ @@ -8,7 +8,7 @@ USER="rancherize" fi -if [ -x "$1" ] ; then +if [ hash "$1" ] ; then su-exec "$USER" $* exit $? fi
bash
d_bash_10708
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash set -euo pipefail -VM_VERSION="201901172323" +VM_VERSION="201911012148" BASE_VM_DOWNLOAD_PATH="https://github.com/OpenSmalltalk/opensmalltalk-vm/releases/download/$VM_VERSION" echo "Installing VM $VM_VERSION for $TRAVIS_OS_NAME"
bash
d_bash_10709
--- +++ @@ -11,8 +11,8 @@ alias sagi="sudo apt-get install" -alias pbcopy='xclip -selection clipboard' -alias pbpaste='xclip -selection clipboard -o' +#alias pbcopy='xclip -selection clipboard' +#alias pbpaste='xclip -selection clipboard -o' alias ni="node-inspector" alias ni8043="node-inspector --web-port=8...
bash
d_bash_10710
--- +++ @@ -24,5 +24,3 @@ for file in `ls etc/oslo-config-generator/*`; do $GEN_CMD --config-file=$file done - -set -x
bash
d_bash_10711
--- +++ @@ -6,7 +6,5 @@ git clone java-test-applications java-test-applications-built -java -version - cd java-test-applications-built ./gradlew -Dorg.gradle.native=false build -x test
bash
d_bash_10712
--- +++ @@ -1,5 +1,29 @@ - - +# +# Create a swap file and set it up correctly. +# +# Usage: +# option AddSwap 768m +# +# Creates a 768m swap file as usr/swap0 and +# adds the correct configuration entries for +# it to be used as a swap file. +# +# +# TODO: expand the command line options here so that +# the followi...
bash
d_bash_10713
--- +++ @@ -6,11 +6,12 @@ ./testenv_exec.sh "$(pgrep -P "$finit_ppid")" "$@" } -fg_red='31' -fg_green='32' -fg_yellow='33' +color_reset='\e[0m' +fg_red='\e[1;31m' +fg_green='\e[1;32m' +fg_yellow='\e[1;33m' log() { - printf "< $TEST_DIR > \e[1;%dm%s\e[0m %s\n" "$1" "$2" "$3" + printf "< $TEST_DIR > %b%b...
bash
d_bash_10714
--- +++ @@ -5,10 +5,10 @@ RUBY=ruby-1.8.7-p330 GEMSET=psc -set +x +set +xe . ~/.rvm/scripts/rvm rvm use "${RUBY}@${GEMSET}" -set -x +set -xe ruby install_gems.rb export JAVA_OPTS="-Xmx256M -XX:MaxPermSize=128M"
bash
d_bash_10715
--- +++ @@ -26,5 +26,8 @@ COLS="$COLS $(time_get $URL)" done echo "$COLS" >> frontpage.csv + # Minimum of 60 secs between polls sleep 60 + # Plus some random delay + sleep $((RANDOM % 19)) done
bash
d_bash_10716
--- +++ @@ -1,4 +1,4 @@ #!/bin/bash npm install --no-color || exit 1 -npm install grunt -g --no-color || exit 1 +npm install grunt --no-color || exit 1 exit
bash
d_bash_10717
--- +++ @@ -2,6 +2,6 @@ . $(dirname "${BASH_SOURCE[0]}")/common.sh cd ${CURR_DIR}/issue990-download-optional-selected -rm -rf b/.dub +${DUB} clean ${DUB} remove gitcompatibledubpackage -n --version=* 2>/dev/null || true ${DUB} run
bash
d_bash_10718
--- +++ @@ -9,7 +9,7 @@ OUT="$(tar --create \ --gzip \ - --file "./Dropbox/Backups/GnuCash Preferences/$(gdate --universal --iso-8601=seconds).tar.gz" \ + --file "./Dropbox/Backups/GnuCash Preferences/$(gdate --universal --iso-8601=seconds | sed -e 's/\://g').tar.gz" \ './Library/Preferences/org.gn...
bash
d_bash_10719
--- +++ @@ -12,4 +12,4 @@ docker build -t $1 -f ${project_dir}/deploy/rails-dev-Dockerfile ${project_dir} docker run -it -p 3000:3000 -v ${project_dir}:/rails $1 /bin/bash -sudo chown -R ${USER}:${USER} ${project_dir} +sudo chown -R ${USER_ID}:${USER_ID} ${project_dir}
bash
d_bash_10720
--- +++ @@ -4,7 +4,7 @@ #echo "$(tmstamp) *** before_install::apt-get starting $(date) ***" sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 16126D3A3E5C1192 sudo apt-get update -qq -sudo apt-get install -qq cmake +sudo apt-get install -qq cmake libgdal-dev libproj-dev libxml2-dev #echo "$(tmstamp)...
bash
d_bash_10721
--- +++ @@ -2,7 +2,7 @@ FLOPS=' -I../../lib/libvgz - -DVARNISHD_IS_NOT_A_VMOD + -DNOT_IN_A_VMOD -DVARNISH_STATE_DIR="foo" -DVARNISH_VMOD_DIR="foo" -DVARNISH_VCL_DIR="foo"
bash
d_bash_10722
--- +++ @@ -3,16 +3,19 @@ # Perform dev-system set up. echo "== Updating" -yes | apt-get update +echo 'y' | apt-get update echo "== Upgrading" -yes | apt-get upgrade +echo 'y' | apt-get upgrade + +echo "== Autoremove" +echo 'y' | apt-get autoremove echo "== Installing dev packages" -yes | apt-get install cl...
bash
d_bash_10723
--- +++ @@ -19,7 +19,7 @@ cd ../initial -mvn clean package +mvn clean compile ret=$? if [ $ret -ne 0 ]; then exit $ret
bash
d_bash_10724
--- +++ @@ -28,9 +28,9 @@ getPath(){ if [[ $(SystemValidator isWindows) ]]; then - _getPathWin ${1} + _getPathWin ${@} else - _getPathUnix ${1} + _getPathUnix ${@} fi }
bash
d_bash_10725
--- +++ @@ -3,7 +3,7 @@ case "$1" in java8) - echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u252-b09/OpenJDK8U-jdk_x64_linux_hotspot_8u252b09.tar.gz" + echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u262-b10/OpenJDK8U-jdk_x64_linux_hotspot_8u262b...
bash
d_bash_10726
--- +++ @@ -34,3 +34,6 @@ # Move to end after completion setopt ALWAYS_TO_END + +# Create a directory and navigate to it +mkcd () { mkdir "$@" && cd "$@"; }
bash
d_bash_10727
--- +++ @@ -16,12 +16,7 @@ --app-version $PACKAGE_VERSION \ --icon electron/logo.ico -electron-installer-windows \ - # TODO: Fix MSI issue - --noMsi \ - --src release/React\ Native\ Debugger-win32-x64 \ - --dest release/ \ - --config scripts/config.json +electron-installer-windows --src release/React\ Na...
bash
d_bash_10728
--- +++ @@ -19,4 +19,4 @@ export DJANGO_DEBUG=True # Configure footer links -export FOOTER_LINKS='[{"u":"http://www.democracylab.org","n":"Home"},{"u":"/about","n":"About"},{"u":"/blog","n":"Blog"}]' +export FOOTER_LINKS='[{"u":"http://www.democracylab.org","n":"About"},{"u":"mailto:hello@democracylab.org","n":"C...
bash
d_bash_10729
--- +++ @@ -1,16 +1,23 @@ #!/bin/sh # Listen for SIGUSR1 signal and streaming for 10 minutes +dir_hls_segment=$1 +mins_duration=10 +magic_sec_sleep=5 + do_stream() { - ffmpeg -f video4linux2 -i /dev/video0 -t 6000\ + ffmpeg -f video4linux2 -i /dev/video0 -t $(($mins_duration * 60))\ -c:v h264 -flags +...
bash
d_bash_10730
--- +++ @@ -23,9 +23,9 @@ if [ -e ~/.bash_profile ] then - echo "eval \$(module-generator _completion --generate-hook)" >> ~/.bash_profile + echo "eval \$(module-generator _completion --generate-hook --shell-type=bash)" >> ~/.bash_profile fi if [ -e ~/.zshrc ] then - echo "eval \$(module-generator _co...
bash
d_bash_10731
--- +++ @@ -14,7 +14,7 @@ test_failed elif ! docker-compose ps; then test_failed - elif ! nc -z -v localhost 30080; then + elif ! sleep 1 && curl -sS localhost:30080; then test_failed else test_passed
bash
d_bash_10732
--- +++ @@ -4,9 +4,10 @@ [[ ! $1 ]] && {>&2 echo "ERROR: No argument passed."; exit 1; } || { [ -f $1 ] && { - dirname=$(dirname "$1" | xargs realpath); - filename=$(basename "$1"); - cwebp "$filename" -o "$dirname/"$(echo "$filename" | sed -E "s/(\.[A-Za-z0-9]+)$//")".webp"; + abspath=$(realpath "$1") + di...
bash
d_bash_10733
--- +++ @@ -40,7 +40,7 @@ for a in ${array[@]}; do if [[ ${#a} > ${maxLength} ]]; then - maxLength=${#a} + maxLength=$(StringUtil length ${a}) fi done
bash
d_bash_10734
--- +++ @@ -18,8 +18,8 @@ return 1 fi - 7za a -r -x!${ARCNAME}.msi -x!*.pdb ${ARCNAME}.7z * - 7za a -r ${ARCNAME}.pdb.7z *.pdb + 7za a -m0=LZMA -r -x!${ARCNAME}.msi -x!*.pdb ${ARCNAME}.7z * + 7za a -m0=LZMA -r ${ARCNAME}.pdb.7z *.pdb cd $BASE || return 1 m4 -P -DFARBIT=$1 -DHOSTTYPE=Unix -D ARC=../outfin...
bash
d_bash_10735
--- +++ @@ -2,6 +2,4 @@ set -eo pipefail . ./.helpers -./.cicd/generate-base-images.sh - -docker run -v $(pwd):/workdir -e JOBS -e $FULL_TAG +execute docker run -v $(pwd):/workdir -e JOBS -e ENABLE_INSTALL=true -e $FULL_TAG
bash
d_bash_10736
--- +++ @@ -2,4 +2,8 @@ # Builds the HAL standalone native binary -mvn package -Pnative -Dquarkus.native.container-build=true -Dquarkus.container-image.build=true +mvn package \ + -Pnative \ + -Dquarkus.container-image.build=true \ + -Dquarkus.native.remote-container-build=true \ + -Dquarkus.native.container...
bash
d_bash_10737
--- +++ @@ -3,14 +3,14 @@ # If .bashrc or .bash_profile already exists -# and are a regular file, then back them up +# and are regular files, then back them up # for just in case. if [ -f ~/.bashrc ]; then - mv ~/.bashrc ~/.bashrc.bk + mv ~/.bashrc ~/.bashrc.bk fi if [ -f ~/.bash_profile ]; then - m...
bash
d_bash_10738
--- +++ @@ -6,38 +6,17 @@ mkdir vendor fi -# Install or update the SVN dependencies. -LIBRARIES=(closure-linter python-gflags) +# Install or update the git dependencies. +LIBRARIES=(google/closure-linter gflags/python-gflags google/closure-library google/closure-compiler googlei18n/libphonenumber) for LIBRARY ...
bash
d_bash_10739
--- +++ @@ -8,3 +8,6 @@ $script_dir/../install.sh # User specific install steps + +git config --global format.pretty oneline +git config --global log.abbrevCommit true
bash
d_bash_10740
--- +++ @@ -1,6 +1,5 @@ #!/bin/bash -git status -uall --ignored docker build -t keboola/gmail-extractor . docker login -e="." -u="$QUAY_USERNAME" -p="$QUAY_PASSWORD" quay.io docker tag keboola/gmail-extractor quay.io/keboola/gmail-extractor:$TRAVIS_TAG
bash
d_bash_10741
--- +++ @@ -2,7 +2,7 @@ set -euo pipefail logfile="q" -logpath=$TMPDIR$logfile +logpath=$TMPDIR/$logfile if [[ -z "$TMPDIR" ]]; then if [[ -e "/system/bin/adb" ]]; then
bash
d_bash_10742
--- +++ @@ -4,6 +4,9 @@ echo "Dumping database contents to ${FILENAME}..." python manage.py dumpdata \ + --indent=4 \ + --natural-foreign \ + --natural-primary \ contact_info \ farms \ notifications \
bash
d_bash_10743
--- +++ @@ -1,4 +1,4 @@ #!/usr/bin/env bash . /tmp/settings.conf -sed -i -e "s/%primaryhost%/${MAILHOSTNAME}/g" /etc/php5/fpm/php.ini +sed -i -e "s/%primaryhost%/${MAILHOSTNAME}/g" /etc/postfix/main.cf
bash
d_bash_10744
--- +++ @@ -6,7 +6,7 @@ fi if [ -f /var/run/docker.sock ]; then - chown root:docker /var/run/docker.sock + chmod o+rw /var/run/docker.sock fi exec $@
bash
d_bash_10745
--- +++ @@ -12,29 +12,6 @@ cwd=$(pwd) mkdir -p $(dirname $0)/../vendor cd $(dirname $0)/../vendor +curl https://s3.amazonaws.com/mapbox/apps/install-node/v0.1.4/run | NV=0.10.30 NP=$platform OD=$(pwd) BO=true sh +cd $cwd -if [ $platform == "win32" ]; then - if [ -f node.exe ]; then - echo "vendor node....
bash
d_bash_10746
--- +++ @@ -12,7 +12,7 @@ VERSION="287" ${RESOURCES_FETCH_URL_SCRIPT} http://last.cbrc.jp/last/index.cgi/archive/${VERSION}.zip - unzip ${VERSION}.zip + unzip last-${VERSION}.zip cd last-${VERSION} ...
bash
d_bash_10747
--- +++ @@ -1,10 +1,18 @@ function echo_last_result(){ + PREV_NUM=0 + while getopts n: opt + do + case $opt in + n) PREV_NUM=$OPTARG + esac + done CURSOR_LINE=`tmux list-panes -F "#{?pane_active,#{cursor_y},}" | sed '/^$/d'` - LINE=(`tmux capture-pane -p -S -100000 | sed -n '/┌─/=' | tail -n 2`) + MATCH_LINES=...
bash
d_bash_10748
--- +++ @@ -1,3 +1,5 @@ [ -d $HOME/.nvm ] && export NVM_DIR="$HOME/.nvm" [ -s "/usr/local/opt/nvm/nvm.sh" ] && . "/usr/local/opt/nvm/nvm.sh" # This loads nvm [ -s "/usr/local/opt/nvm/etc/bash_completion" ] && . "/usr/local/opt/nvm/etc/bash_completion" # This loads nvm bash_completion +[ -s "$NVM_DIR/nvm.sh" ] &&...
bash
d_bash_10749
--- +++ @@ -12,7 +12,7 @@ RESULT="" EXIT_CODE="0" -DEVICES=`adb devices | sed -rne '2,$s/^([^[:space:]]+).*/\1/p'` +DEVICES=`adb devices | sed -Ene '2,$s/^([^[:space:]]+).*/\1/p'` for DEV in $DEVICES ; do RESULT="$RESULT$DEV" if ANDROID_SERIAL=$DEV ./scripts/exopackage_test_single.sh ; then
bash
d_bash_10750
--- +++ @@ -1,10 +1,11 @@ #!/bin/bash # Run updates -sudo apt-get update; -sudo apt-get upgrade; -sudo apt-get install -y curl python python-dev; - +sudo export DEBIAN_FRONTEND=noninteractive; +DEBIAN_FRONTEND=noninteractive; +sudo apt-get -q -y update; +sudo apt-get -q -y upgrade; +sudo apt-get install -q -y cu...
bash
d_bash_10751
--- +++ @@ -8,7 +8,5 @@ ./start_production.sh $STAMP # Set HiGlass.io -# 1. copy config -docker exec -it container-$STAMP-with-redis cp higlass-app/config.json higlass-app/config.local.json -# 2. enable HiGlass.io homepage -docker exec -it container-$STAMP-with-redis sed -i 's/"homepageDemos": false/"homepageDemo...
bash
d_bash_10752
--- +++ @@ -1,3 +1,3 @@ #!/usr/bin/env bash -rm sl-component.jar +[-f sl-component.jar] && rm sl-component.jar || echo "sl-component.jar not found"
bash
d_bash_10753
--- +++ @@ -2,5 +2,5 @@ echo "Installing Cloud Foundry Command-line Interface" brew tap cloudfoundry/tap brew install cf-cli -brew install bosh-cli --without-bosh2 +brew install bosh-cli brew install bbl
bash
d_bash_10754
--- +++ @@ -17,7 +17,7 @@ # save the last known version cd $APP_DIR -if sudo docker image inspect $IMAGE:latest >/dev/null || $PRIVATE_REGISTRY; then +if sudo docker image inspect $IMAGE:latest >/dev/null || [ "$PRIVATE_REGISTRY" == "0" ]; then echo "using image" sudo rm -rf current || true else
bash
d_bash_10755
--- +++ @@ -14,6 +14,7 @@ # Make sure we have our freenas sources if [ ! -d "${FNASSRC}" ]; then rc_halt "rm -rf /tmp/fnasb" + rc_nohalt "mkdir `dirname ${FNASSRC}`" rc_halt "git clone ${GITFNASURL} /tmp/fnasb" rc_halt "ln -s /tmp/fnasb ${FNASSRC}" git_fnas_up "${FNASSRC}" "${FNASSRC}"
bash
d_bash_10756
--- +++ @@ -2,7 +2,7 @@ set -euo pipefail cd $(dirname "$0") -runif() { +function runif() { if command -v "$1" > /dev/null; then echo " === $1 ===" "$@"
bash
d_bash_10757
--- +++ @@ -22,11 +22,3 @@ systemctl unmask firewalld systemctl enable firewalld systemctl start firewalld -for PORT in 3306 9200 5000 80 5432 27018; do # List of ports used in acceptance tests - for DEST in 172.16.255.240 172.16.255.241; do # List of vagrant nodes - # Extra rules for proxies - fi...
bash
d_bash_10758
--- +++ @@ -1,7 +1,7 @@ # symfony basic command completion _symfony_get_command_list () { - ./symfony | sed "1,/Available tasks/d" | awk 'BEGIN { cat=null; } /^[A-Za-z]+$/ { cat = $1; } /^ :[a-z]+/ { print cat $1; }' + php symfony | sed "1,/Available tasks/d" | awk 'BEGIN { cat=null; } /^[A-Za-z]+$/ { cat ...
bash
d_bash_10759
--- +++ @@ -14,7 +14,7 @@ } # Commands -if [ "$TRAVIS_BRANCH" = "master" ] && [ -n "$TRAVIS_TAG" ]; then +if [ "$TRAVIS_BRANCH" = "$TRAVIS_TAG" ]; then compile_test \ && sbt ++$TRAVIS_SCALA_VERSION publishSigned \ && sbt ++$TRAVIS_SCALA_VERSION sonatypeRelease
bash
d_bash_10760
--- +++ @@ -15,13 +15,13 @@ if [[ "$filen" =~ /([^/]+)\.mkv$ ]]; then ID=${BASH_REMATCH[1]}; echo -n "Updating metadata ($num_current/$num_total): $ID..."; - TITLE=$(youtube-dl --get-filename -o '%(title)s' "$ID"); + TITLE=$(youtube-dl --get-filename -o '%(title)s' -- "$ID"); if [ -z "$TITLE" ]; th...
bash
d_bash_10761
--- +++ @@ -6,6 +6,7 @@ cd /Package mkdir build cd build -cmake -GNinja -DUSE_CXX11=ON .. +cmake -GNinja -DUSE_CXX11=ON -DBUILD_ROOTDICT=ON .. ninja +ninja install ctest --output-on-failure
bash
d_bash_10762
--- +++ @@ -5,7 +5,7 @@ export SAUCE_USERNAME=sinonjs -if [[ ! -v SAUCE_ACCESS_KEY ]]; then +if [ -z $SAUCE_ACCESS_KEY ]; then echo 'SAUCE_ACCESS_KEY has not been exported and made available for test `test-cloud` script!' exit 1 fi
bash
d_bash_10763
--- +++ @@ -1,28 +1,34 @@ -record_time "source nvm" -# shellcheck source=../../../../../.nvm/nvm.sh -[ -s "$NVM_DIR/nvm.sh" ] && source "$NVM_DIR/nvm.sh" -# shellcheck source=../../../../../.nvm/bash_completion -[ -s "$NVM_DIR/bash_completion" ] && source "$NVM_DIR/bash_completion" +if [[ -d "$NVM_DIR" ]] +then + # ...
bash
d_bash_10764
--- +++ @@ -14,4 +14,4 @@ git add dist git commit -m "Auto push from Travis" -git push -m "Pushing updated" upstream `git subtree split --prefix dist master`:gh-pages --force +git push upstream `git subtree split --prefix dist master`:gh-pages --force
bash
d_bash_10765
--- +++ @@ -14,3 +14,4 @@ sudo mock --init -r epel-7-x86_64 sudo usermod $USER -a -G mock rpmdev-setuptree +echo '%_sourcedir %{_topdir}/SOURCES/%{name}' >> $HOME/.rpmmacros
bash
d_bash_10766
--- +++ @@ -4,7 +4,9 @@ DIR=$(pwd) cd $DIR/.. git archive master > packager.tar -if [ -x $(which gnutar 2> /dev/null) ]; then +if [ -x $(which gtar 2> /dev/null) ]; then + TAR=gtar +elif [ -x $(which gnutar 2> /dev/null) ]; then TAR=gnutar else TAR=tar
bash
d_bash_10767
--- +++ @@ -12,6 +12,11 @@ sudo apt-get -y install firefox sudo apt-get -y install libgl1-mesa-glx +cd /home/vagrant/ && wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb +sudo dpkg -i google-chrome-stable_current_amd64.deb +sudo apt-get -y install -f +#Not the prettiest way of doing ...
bash
d_bash_10768
--- +++ @@ -1,9 +1,9 @@ #!/bin/sh -./.nuget/NuGet.exe Install Persimmon.Console -Pre -OutputDirectory packages -ExcludeVersion +mono ./.nuget/NuGet.exe Install Persimmon.Console -Pre -OutputDirectory packages -ExcludeVersion xbuild grnline.fs.sln /property:Configuration=Debug /property:VisualStudioVersion=12.0 ...
bash
d_bash_10769
--- +++ @@ -17,7 +17,7 @@ echo "Will poll $URL looking for commit $GIT_COMMIT." while true; do - build=$(curl --fail --show-error --silent "$URL" | jq "[.builds | .[] | select(.commitId == \"$GIT_COMMIT\")][0]") + build=$(curl --fail --show-error --silent "$URL" | jq "[.builds | .[] | select...
bash
d_bash_10770
--- +++ @@ -4,6 +4,10 @@ mvn clean install || { echo "Build failed"; exit 1; } +version=$( mvn org.apache.maven.plugins:maven-help-plugin:3.1.0:evaluate -Dexpression=project.version -q -DforceStdout ) + +echo Copying module analysis-model version ${version} to analysis-model-api-plugin Jenkins plugin + cd ../an...
bash
d_bash_10771
--- +++ @@ -14,7 +14,7 @@ elif [[ $distro == "arch" ]]; then sudo pacman -S --noconfirm --needed noto-fonts-cjk chromium lightdm sudo pacman -S --noconfirm --needed sysstat alsa-utils - sudo pacman -S --noconfirm --needed fcitx5-mozc fcitx5-configtool fcitx5-qt + sudo pacman -S --noconfirm --needed...
bash
d_bash_10772
--- +++ @@ -1,4 +1,10 @@ -eval "$(npm completion 2>/dev/null)" +__NPM_COMPLETION_FILE="${ZSH_CACHE_DIR}/npm_completion" + +if [[ ! -f $__NPM_COMPLETION_FILE ]]; then + npm completion >! $__NPM_COMPLETION_FILE || rm -f $__NPM_COMPLETION_FILE +fi + +source $__NPM_COMPLETION_FILE # Install dependencies globally a...
bash
d_bash_10773
--- +++ @@ -25,6 +25,7 @@ # npm version $VERSION --message "[release] $VERSION" # publish + git tag v$VERSION git push origin refs/tags/v$VERSION git push # npm publish
bash
d_bash_10774
--- +++ @@ -6,17 +6,22 @@ # the container, they appear to be from the system user. We also mount the # base path of the repo as the home directory in the container. +if [[ $EUID -eq 0 ]]; then + echo "Don't run this script as root. Add your personal user to the docker group and run with your personal user." ...
bash
d_bash_10775
--- +++ @@ -5,5 +5,5 @@ BASE_URL=https://raw.githubusercontent.com/meteor/meteor/devel/packages cd "$(dirname "${BASH_SOURCE[0]}")" -rm {base64,ejson,stringify}.js +rm -f {base64,ejson,stringify}.js wget $BASE_URL/{base64/base64,ejson/{ejson,stringify}}.js
bash
d_bash_10776
--- +++ @@ -1,7 +1,6 @@ #!/bin/sh echo -n "Update started at " date -git pull && \ echo "Running market updater" && timeout 10m ./market-stuff.py EX6-AO && \ echo "Market updater finished" &&
bash
d_bash_10777
--- +++ @@ -15,6 +15,9 @@ exit 1 fi +# Default phpunit to composer bundled executable +[[ -z "$PHPUNIT" ]] && PHPUNIT='vendor/bin/phpunit' + echo " $(git show --name-status) @@ -25,7 +28,7 @@ # PHPUnit doesn't have a --no-colors option # For jenkins, check out https://wiki.jenkins-ci.org/display/JENKI...
bash
d_bash_10778
--- +++ @@ -1,24 +1,4 @@ # Install open-vm-tools so we get basic stuff like apt-get install -y open-vm-tools - -# Install the Linux headers -apt-get -y install build-essential linux-headers-$(uname -r) - -# Install the VMware Fusion guest tools so shared-folders work. If / when this is -# added to open-vm-tools we ...
bash
d_bash_10779
--- +++ @@ -1,37 +1,20 @@ -# vim: foldmethod=marker syntax=zsh -# {{{ default arguments -if [[ `uname` == "FreeBSD" ]]; then +if ls --color=auto >&/dev/null; then + alias ls='ls -F --color=auto' +else alias ls='ls -F' -else - alias ls='ls -F --color=auto' fi -alias grep='grep --color=auto' -alias egrep='egrep -...
bash
d_bash_10780
--- +++ @@ -31,3 +31,6 @@ glide install ginkgo -v --progress popd + +# Wait for collectd to send final metrics +sleep 90
bash
d_bash_10781
--- +++ @@ -23,3 +23,4 @@ make -C code/poly1305 extract-c make -C code/curve25519 extract-c +make
bash
d_bash_10782
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -GOPATH=${GOPATH:-$HOME/.go} +GOPATH=${GOPATH:-$HOME/go} GO15VENDOREXPERIMENT=${GO15VENDOREXPERIMENT:-"1"} export GOPATH export GO15VENDOREXPERIMENT
bash
d_bash_10783
--- +++ @@ -9,7 +9,8 @@ --disable-perl \ --disable-ruby \ --disable-lua \ - --disable-tcl + --disable-tcl \ + NROFF=nroff make "-j${CPU_COUNT}"
bash
d_bash_10784
--- +++ @@ -5,7 +5,7 @@ # SPDX-License-Identifier: Apache-2.0 GOROOT='/opt/go' -GO_VERSION=1.14.2 +GO_VERSION=1.14.4 # ---------------------------------------------------------------- # Install Golang
bash
d_bash_10785
--- +++ @@ -9,7 +9,7 @@ sudo su - yum -y install gcc kernel-devel make ncurses-devel -yum -y install git-core expect vim +yum -y install git-core expect vim ruby ruby-devel ruby-irb # download tmux and libevent mkdir ~/downloads && cd ~/downloads
bash
d_bash_10786
--- +++ @@ -5,4 +5,6 @@ make prepare make modules_prepare make -j6 +make modules +make modules_install
bash
d_bash_10787
--- +++ @@ -1,6 +1,7 @@ #!/usr/bin/env bash # bash release.bat set -e +git branch gh-pages origin/gh-pages || git checkout gh-pages git merge master make src/main.css
bash
d_bash_10788
--- +++ @@ -21,6 +21,9 @@ ssh-keygen -A fi +# Disable Reverse DNS lookups as this can slow connections down +echo "UseDNS no" >>/etc/ssh/sshd_config + # Set the jenkins password if [ -n "$JENKINS_PASSWORD" ] then
bash
d_bash_10789
--- +++ @@ -18,6 +18,10 @@ chmod 0755 kubectl sudo mv kubectl /usr/local/bin +echo "Configuring bx to disable version check" +bx config --check-version=false +echo "Checking bx version" +bx --version echo "Install the Bluemix container-service plugin" bx plugin install container-service -r Bluemix
bash
d_bash_10790
--- +++ @@ -1,5 +1,4 @@ function bepc_changed_vs_origin_master() { - rspec_ensure_no_focus || return $? local bepc_changed_vs_origin_master_FILE local bepc_changed_vs_origin_master_FILES_EXISTING=() for bepc_changed_vs_origin_master_FILE in `git_files_changed_vs_origin_master | grep features | grep ".featu...
bash
d_bash_10791
--- +++ @@ -13,7 +13,7 @@ cmd_pth=$(which $cmd 2>/dev/null) if [ -z "$cmd_pth" ]; then echo "Error: command '$cmd' is missing" - exit; + exit 1; fi done @@ -29,12 +29,19 @@ if [ -z "$pkg_name" ]; then echo "Error: Development stack needs to be installed" echo " python de...
bash
d_bash_10792
--- +++ @@ -1,6 +1,7 @@ #!/bin/bash WALLPAPER_REPO="$HOME/wallpaper/" +LOGGED_IN=$(who | grep ':0\s' | awk '{print $1;}') wallpaper=( "$WALLPAPER_REPO"/* )
bash
d_bash_10793
--- +++ @@ -8,5 +8,5 @@ # Command-T requires compiling against the system Ruby chruby system -ruby -C ~/.vim/bundle/command-t/ruby/command-t/ extconf.rb -make -C ~/.vim/bundle/command-t/ruby/command-t/ +ruby -C ~/.vim/bundle/command-t/ruby/command-t/ext/command-t/ extconf.rb +make -C ~/.vim/bundle/command-t/ruby/...
bash
d_bash_10794
--- +++ @@ -2,8 +2,8 @@ if ! command -v antibody >/dev/null 2>&1; then if [ "$(uname)" = "Darwin" ]; then - brew untap -q getantibody/homebrew-antibody || true - brew untap -q getantibody/tap/antibody || true + brew untap getantibody/homebrew-antibody || true + brew untap getantibody/tap/antibody ||...
bash
d_bash_10795
--- +++ @@ -32,7 +32,7 @@ header="Authorization: bearer $1" url="$2/api/rest/v1/system/session/check" -command="curl --header '$header' -X POST $url" +command="curl --header '$header' -X GET $url" eval $command
bash
d_bash_10796
--- +++ @@ -1,5 +1,6 @@ #!/bin/sh # Clone/fetch jepsen fork and branch $1 +rm -rf /jepsen mkdir -p /jepsen cd /jepsen branch="${1:-dev}"
bash
d_bash_10797
--- +++ @@ -10,9 +10,9 @@ cd $MY_PATH cd .. -#git pull -#make +git pull +make -rsync -z ./data/solarpi.csv rsync://192.168.178.36/data/solarpi +rsync -z ./data/solarpi.csv -e ssh solarpi@cumulus-humilis.nl:/home/archive/data/solarpi /sbin/ifdown wlan0
bash
d_bash_10798
--- +++ @@ -7,4 +7,7 @@ # node localTicker.js # cd .. -node test/smoke.js # Smoke test on the StellarTerm html build file +# Commented out because Puppeteer doesn't work on Travis-CI +# because Chrome doesn't run in docker. To fix, we would have to disable +# sandboxing, which is kinda scary. +# node test/smoke.j...
bash
d_bash_10799
--- +++ @@ -12,8 +12,8 @@ results=$(/usr/bin/time -v make debug/$f.o 2>&1) rss=$(echo "$results" | grep "Maximum resident set size" | rev | cut -d" " -f1 | rev) elapsed=$(echo "$results" | grep "Elapsed" | rev | cut -d" " -f1 | rev) - memory=$(echo "scale=2; $rss/1024" | bc -l) - echo "$f => $ela...
bash